Bug 1413610 - Don't use NetworkManager-glib
Summary: Don't use NetworkManager-glib
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cinnamon
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Björn 'besser82' Esser
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-16 13:50 UTC by Lubomir Rintel
Modified: 2017-12-05 00:48 UTC (History)
4 users (show)

Fixed In Version: cinnamon-control-center-3.4.0-3.fc26 cinnamon-3.6.6-9.fc27 cinnamon-3.6.6-10.fc26 cinnamon-3.6.6-10.fc25 cinnamon-3.6.6-10.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-03 18:44:16 UTC


Attachments (Terms of Use)

Description Lubomir Rintel 2017-01-16 13:50:50 UTC
cinnamon-control-center, cinnamon and cinnamon-settings-daemon are one of the few packages that use the deprecated libnm-glib library from NetworkManager-glib.

Notably, cinnamon-control-center seems to use the VPN plugins linked with NetworkManager-glib. If we disable it (to get rid of the -glib package from default installation) the VPN support in the cinnamon control center would break.

Would it be possible to switch them to libnm from NetworkManager-libnm?

Comment 1 Björn 'besser82' Esser 2017-01-16 19:44:50 UTC
Opened an issue upstream:  https://github.com/linuxmint/cinnamon-control-center/issues/164

Comment 2 Fedora End Of Life 2017-02-28 10:59:56 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 3 Fedora Update System 2017-05-10 23:29:05 UTC
cinnamon-control-center-3.4.0-3.fc26 cinnamon-settings-daemon-3.4.0-3.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-4912848fae

Comment 4 Fedora Update System 2017-05-11 00:03:08 UTC
cinnamon-control-center-3.4.0-3.fc26 cinnamon-settings-daemon-3.4.0-3.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-4912848fae

Comment 5 Fedora Update System 2017-05-13 01:10:21 UTC
cinnamon-3.4.0-3.fc26, cinnamon-control-center-3.4.0-3.fc26, cinnamon-settings-daemon-3.4.0-3.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-4912848fae

Comment 6 Fedora Update System 2017-05-13 19:59:48 UTC
cinnamon-3.4.0-3.fc26 cinnamon-control-center-3.4.0-3.fc26 cinnamon-settings-daemon-3.4.0-4.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-4912848fae

Comment 7 Fedora Update System 2017-05-15 10:19:41 UTC
cinnamon-3.4.0-3.fc26, cinnamon-control-center-3.4.0-3.fc26, cinnamon-settings-daemon-3.4.0-4.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-4912848fae

Comment 8 Fedora Update System 2017-05-15 12:53:27 UTC
cinnamon-3.4.0-3.fc26, cinnamon-control-center-3.4.0-3.fc26, cinnamon-settings-daemon-3.4.0-4.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2017-11-26 18:57:58 UTC
cinnamon-3.6.6-9.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-1f2967a418

Comment 10 Fedora Update System 2017-11-26 18:58:07 UTC
cinnamon-3.6.6-9.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-4a5340d3bb

Comment 11 Fedora Update System 2017-11-26 18:58:12 UTC
cinnamon-3.6.6-9.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-dcf4cf36d3

Comment 12 Fedora Update System 2017-11-26 18:58:18 UTC
cinnamon-3.6.6-9.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-aa3fb7f587

Comment 13 Fedora Update System 2017-11-26 23:00:18 UTC
cinnamon-3.6.6-9.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-1f2967a418

Comment 14 Fedora Update System 2017-11-27 04:33:52 UTC
cinnamon-3.6.6-9.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-dcf4cf36d3

Comment 15 Fedora Update System 2017-11-28 07:24:00 UTC
cinnamon-3.6.6-9.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-aa3fb7f587

Comment 16 Fedora Update System 2017-11-28 23:55:35 UTC
cinnamon-3.6.6-9.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2017-11-29 02:06:33 UTC
cinnamon-3.6.6-9.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-4a5340d3bb

Comment 18 Fedora Update System 2017-11-29 20:06:34 UTC
cinnamon-3.6.6-10.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-aa3fb7f587

Comment 19 Fedora Update System 2017-11-29 20:07:06 UTC
cinnamon-3.6.6-10.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-1f2967a418

Comment 20 Fedora Update System 2017-11-29 20:07:31 UTC
cinnamon-3.6.6-10.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-4a5340d3bb

Comment 21 Fedora Update System 2017-12-02 08:17:47 UTC
cinnamon-3.6.6-10.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-1f2967a418

Comment 22 Fedora Update System 2017-12-02 21:47:11 UTC
cinnamon-3.6.6-10.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-4a5340d3bb

Comment 23 Fedora Update System 2017-12-02 22:37:36 UTC
cinnamon-3.6.6-10.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-aa3fb7f587

Comment 24 Fedora Update System 2017-12-03 18:44:16 UTC
cinnamon-3.6.6-10.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 25 Fedora Update System 2017-12-03 23:47:00 UTC
cinnamon-3.6.6-10.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 26 Fedora Update System 2017-12-05 00:48:09 UTC
cinnamon-3.6.6-10.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.